library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity circ_comb is
	 port(
		 entrada : in STD_LOGIC_VECTOR (2 downto 0);
		 saida : out STD_LOGIC_VECTOR (1 downto 0)
	     );
end circ_comb;

architecture circ_comb of circ_comb is
begin

	 	with entrada select
		saida <= "00" when "000",
				 "01" when "001",
				 "11" when "010",
				 "10" when "011",
				 "01" when "100",
				 "01" when "101",
				 "10" when "110",
				 "11" when "111",
				 "00" when others;


end circ_comb;
