library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity registrador_1bit is
	 port(
		 D : in STD_LOGIC;
		 clock : in STD_LOGIC;
		 reset : in STD_LOGIC;
		 Q : out STD_LOGIC
	     );
end registrador_1bit;


architecture registrador_1bit of registrador_1bit is
begin

	 process (clock)
      begin
	
	if 	reset='1' then
		Q<='0'; 
	elsif clock'event and clock='1' then  --CLK rising edge
		Q <= D;
	end if;
	
      end process;


end registrador_1bit;
