library ieee;
use ieee.std_logic_1164.all;


entity registrador_1bit_tb is
end registrador_1bit_tb;

architecture TB_ARCHITECTURE of registrador_1bit_tb is

	signal D : std_logic;
	signal clock : std_logic;
	signal reset : std_logic;
	signal Q : std_logic;

begin

	UUT : entity work.registrador_1bit
		port map (
			D => D,
			clock => clock,
			reset => reset,
			Q => Q
		);

	reset <= '1', '0' after 3ns, '1' after 60ns, '0' after 63ns;
	
	D <= '1', '0' after 20ns, '1' after 45ns;
	
	process	   
	begin
		clock <= '0', '1' after 10ns;
		wait for 20ns;
	end process;
	
end TB_ARCHITECTURE;

